Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezforum/user/messageedit.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $wwwDir = $ini->WWWDir
| $index = $ini->Index
| $Language = $ini->variable( "eZForumMain", "Language" )
| $AllowedTags = $ini->variable( "eZForumMain", "AllowedTags" )
| $AllowHTML = $ini->variable( "eZForumMain", "AllowHTML" )
| $debugMessageEdit = false
| $debugMessagePermissions = false
if(isset( $EditButton)) if(!empty( $CancelButton)) if(!empty( $PreviewButton)) if( $Action=="preview") switch( $Action) | $Error = false
| $Errors = false
| $Locale = new eZLocale( $Language )
if(isset( $doPrint) && $doPrint==true) | else

## Variable Documentation

## ◆ $AllowedTags

$AllowedTags = $ini->variable( "eZForumMain", "AllowedTags" )

Definition at line 39 of file ezforum/user/messageedit.php.

## ◆ $AllowHTML

$AllowHTML = $ini->variable( "eZForumMain", "AllowHTML" )

Definition at line 40 of file ezforum/user/messageedit.php.

## ◆ $debugMessageEdit

$debugMessageEdit = false

Definition at line 44 of file ezforum/user/messageedit.php.

## ◆ $debugMessagePermissions

$debugMessagePermissions = false

Definition at line 45 of file ezforum/user/messageedit.php.

## ◆ $Error

if (isset($EditButton)) if (!empty($CancelButton)) if (!empty($PreviewButton)) if ($Action=="preview") switch ($Action) $Error = false

Definition at line 134 of file ezforum/user/messageedit.php.

## ◆ $Errors

$Errors = false

Definition at line 135 of file ezforum/user/messageedit.php.

## ◆ $index

$index = $ini->Index

Definition at line 36 of file ezforum/user/messageedit.php.

Referenced by ezups\_get_xml_array(), upsRate\_get_xml_array(), eZList\drawNavigator(), eZURI\element(), eZConsultation\findConsultationsByContact(), ezpRestDebugPHPFormatter\formatStackTrace(), eZUser\getAll(), ezpExtension\getInfo(), getPart(), eZSys\getValidwwwDir(), eZSys\init(), eZTechRenderer\lispHighlight(), eZArticleTool\notificationMessage(), ezpbKernelAdmin\run(), ezpbKernelWeb\run(), eZArticle\sendPendingMail(), and eZContentLanguage\sqlFilter().

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 33 of file ezforum/user/messageedit.php.

## ◆ $Language

$Language = $ini->variable( "eZForumMain", "Language" )

Definition at line 38 of file ezforum/user/messageedit.php.

## ◆ $Locale

$Locale = new eZLocale( $Language )

Definition at line 137 of file ezforum/user/messageedit.php.

## ◆ $wwwDir

$wwwDir = $ini->WWWDir

Definition at line 35 of file ezforum/user/messageedit.php.

## ◆ else

if (isset($doPrint) &&$doPrint==true) else

Initial value:
{
$t->pparse( "output", "page" )
$t
foreach( $Modules as $module) if(isset( $ItemInsert)) $t
Definition: classes/admin/linklist.php:168

Definition at line 868 of file ezforum/user/messageedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.